<nav class="navbar navbar-expand navbar-dark bg-dark">
  <h3 class="navbar-brand text-primary">Carbuyer <i class="fas fa-car"></i></h3>
  <div class="collapse navbar-collapse">
    <ul class="navbar-nav">
      <li class="nav-item" *ngFor='let navEl of navElements'>
        <a class="nav-link font-weight-bold h5" [routerLink]="navEl.path | lowercase">{{ navEl.name }}</a>
      </li>
    </ul>
    <ul class="navbar-nav ml-auto">
      <ng-container *ngIf="isLoggedIn; else notLoggedIn">
        <li class="nav-item"><a class="nav-link font-weight-bold h5" [routerLink]="['profile']">Profile <i class="fas fa-user-circle"></i></a></li>
        <li class="nav-item"><a class="nav-link font-weight-bold h5" (click)='logOut()'>Logout <i class="fas fa-sign-out-alt"></i></a></li>
      </ng-container>

      <ng-template #notLoggedIn>
        <li class="nav-item"><a class="nav-link font-weight-bold h5" [routerLink]="['registration']">Register <i class="fas fa-user-plus"></i></a></li>
        <li class="nav-item"><a class="nav-link font-weight-bold h5" id="loginNavButton" (click)='open(loginModal)'>Login <i class="fas fa-sign-in-alt"></i></a></li>
      </ng-template>
    </ul>
  </div>

</nav>




<ng-template #loginModal let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Login</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #loginForm="ngForm">
      <div class="form-group">
        <label for="username">Username</label>
        <input type="text" class="form-control" name="username" placeholder="Username" [(ngModel)]="loggingUser.username"
          #username="ngModel" required>
        <p class="text-danger" *ngIf="username.invalid && (username.dirty || username.touched)">Field cannot be empty</p>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input type="password" class="form-control" name="password" placeholder="Password" [(ngModel)]="loggingUser.password"
          #password="ngModel" required>
        <p class="text-danger" *ngIf="password.invalid && (password.dirty || password.touched)">Field cannot be empty</p>
      </div>
      <p *ngIf="loginError" class="text-danger">You enter wrong username or password</p>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" (click)="logIn()" [disabled]="loginForm.invalid">Login</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>